Experiments
List the company's experiments Archived experiments are left out unless `status` names them or `includeArchived` is set.
GET
/
experiments
List the company's experiments
Archived experiments are left out unless `status` names them or `includeArchived` is set.
curl --request GET \
--url https://api.reelevant.com/v2/statistics/experiments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reelevant.com/v2/statistics/experiments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reelevant.com/v2/statistics/experiments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reelevant.com/v2/statistics/experiments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reelevant.com/v2/statistics/experiments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reelevant.com/v2/statistics/experiments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reelevant.com/v2/statistics/experiments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"paginationCount": 123,
"paginationPage": 123,
"paginationLimit": 123,
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": [
{
"type": "holdout",
"unit": "user",
"_id": "<string>",
"companyId": "<string>",
"name": "<string>",
"hypothesis": "<string>",
"successMetric": "unique_conversion",
"status": "draft",
"attachments": [
{
"surface": "workflow",
"resourceId": "<string>",
"attachedAt": "2023-11-07T05:31:56Z"
}
],
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "<string>",
"name": "<string>",
"allocation": 123,
"tagValueId": "<string>"
}
],
"baselineVariantId": "<string>",
"resourceGroupIds": [
"<string>"
],
"systemTagKeyId": "<string>",
"scheduledAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"readAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"outcome": {
"status": "decided",
"routingVariantId": "<string>",
"decidedBy": {
"type": "user",
"userId": "<string>"
},
"validated": true,
"confidence": 123,
"pValue": 123,
"lift": {
"estimate": 123,
"low": 123,
"high": 123
}
},
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Case-insensitive substring match on the name
Available options:
draft Available options:
holdout sortBy
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>
default:updatedAt
Available options:
updatedAt Available options:
asc Required range:
x >= 1Required range:
1 <= x <= 100Response
200 - application/json
Ok
Available options:
success - Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List the company's experiments
Archived experiments are left out unless `status` names them or `includeArchived` is set.
curl --request GET \
--url https://api.reelevant.com/v2/statistics/experiments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reelevant.com/v2/statistics/experiments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reelevant.com/v2/statistics/experiments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reelevant.com/v2/statistics/experiments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reelevant.com/v2/statistics/experiments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reelevant.com/v2/statistics/experiments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reelevant.com/v2/statistics/experiments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"paginationCount": 123,
"paginationPage": 123,
"paginationLimit": 123,
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": [
{
"type": "holdout",
"unit": "user",
"_id": "<string>",
"companyId": "<string>",
"name": "<string>",
"hypothesis": "<string>",
"successMetric": "unique_conversion",
"status": "draft",
"attachments": [
{
"surface": "workflow",
"resourceId": "<string>",
"attachedAt": "2023-11-07T05:31:56Z"
}
],
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "<string>",
"name": "<string>",
"allocation": 123,
"tagValueId": "<string>"
}
],
"baselineVariantId": "<string>",
"resourceGroupIds": [
"<string>"
],
"systemTagKeyId": "<string>",
"scheduledAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"readAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"outcome": {
"status": "decided",
"routingVariantId": "<string>",
"decidedBy": {
"type": "user",
"userId": "<string>"
},
"validated": true,
"confidence": 123,
"pValue": 123,
"lift": {
"estimate": 123,
"low": 123,
"high": 123
}
},
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"code": 123
}